import request from './request.js';
// 修改家人信息
const familyInfo = async (data) => {
	const res = await request.post({ url: `/user/commit-application`, data });
	return res.data;
}
// 获取家人信息
const getFamilyInfo = async (data) => {
	const res = await request.get({ url: `/wx/resident/members`, data });
	return res.data;
}
// 获取家人信息详情
const getFamilyInfoDetails = async (data) => {
	const res = await request.get({ url: `/wx/resident/info`, data });
	return res.data;
}
// 报备状态 
const membersStatus = async (data) => {
	const res = await request.get({ url: `/nat/members-status`, data });
	return res.data;
}
// 当前任务
const runningTask = async (data) => {
	const res = await request.get({ url: `/nat/running-task`, data });
	return res.data;
}
// 报备 
const filing = async (data) => {
	const res = await request.post({ url: `/nat/add-record`, data });
	return res.data;
}
export default { familyInfo, getFamilyInfo, filing, membersStatus, runningTask, getFamilyInfoDetails };